=== debian/changelog ===
mfx-dispatch (1.21-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Remove dmo branding.
  * Remove quilt from B-D and rules; it's not used.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Apr 2018 17:11:19 -0700

mfx-dispatch-dmo (1.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2017 08:09:22 +0100

mfx-dispatch-dmo (1.19-dmo3) unstable; urgency=medium

  * Add multi-arch support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Oct 2016 14:05:29 +0200

mfx-dispatch-dmo (1.19-dmo2) unstable; urgency=medium

  * Change architecture to amd64 i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Oct 2016 08:23:13 +0200

mfx-dispatch-dmo (1.19-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2016 18:40:52 +0200
