=== debian/control ===
Source: mfx-dispatch
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/lu-zero/mfx_dispatch
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libva-dev, pkg-config

Package: libmfx0
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel media sdk dispatcher - runtime files
 Hardware accelerated decode and encode using Intel® Quick Sync Video
 technology on Intel processors with Intel® HD Graphics, Intel® Iris™ and
 Intel® Iris™ Pro graphics or better.
 .
 Can handle HEVC, AVC, MPEG-2, VP9, VC-1, MVC and JPEG playback and encode.

Package: libmfx-dev
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmfx0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libva-dev
Description: Intel media sdk dispatcher - devel files
 Hardware accelerated decode and encode using Intel® Quick Sync Video
 technology on Intel processors with Intel® HD Graphics, Intel® Iris™ and
 Intel® Iris™ Pro graphics or better.
 .
 Can handle HEVC, AVC, MPEG-2, VP9, VC-1, MVC and JPEG playback and encode.
