=== debian/watch ===
version=4

https://github.com/lu-zero/mfx_dispatch/releases \
.*/(.*)\.tar\.gz
